logo

API Reference

Customers

Create a customer

  • URI
    • POST /customers
  • Body
    • json
      { "externalRef": "user_10086", "name": "Alice Chen", "email": "alice@example.com", "metadata": { "tier": "gold" } }
  • Response 200
    • json
      { "status":"1", "data":{ "customerId":"cus_8a9b3e", "externalRef":"user_10086", "name":"Alice Chen", "email":"alice@example.com", "createdAt":"2025-11-06T02:13:00Z" } }
  • Response 400
    • json
      { "status":"-1", "message":"email already exists" }

Wallets

Create wallet

为客户开通稳定币钱包(指定资产与网络)
  • URI
    • POST /wallets
  • Body
    • json
      { "customerId":"cus_8a9b3e", "asset":"USDT", "network":"TRON" }
  • Response 200
    • json
      { "status":"1", "data":{ "walletId":"wal_c1f0aa", "customerId":"cus_8a9b3e", "asset":"USDT", "network":"TRON", "address":"TQn2...V1", "status":"ACTIVE", "createdAt":"2025-11-06T02:15:00Z" } }
  • Response 400
    • json
      { "status":"-1", "message":"unsupported asset/network" }

List wallets by customer

  • URI
    • GET /customers/{customerId}/wallets?limit=50&cursor={cursor}
  • Response 200
    • json
      { "status":"1", "data":{ "items":[ { "walletId":"wal_c1f0aa","asset":"USDT","network":"TRON","address":"TQn2...V1","status":"ACTIVE" } ], "nextCursor": null } }

Get wallet balance

  • URI
    • GET /wallets/{walletId}/balances
  • Response 200
    • json
      { "status":"1", "data":{ "walletId":"wal_c1f0aa", "asset":"USDT", "network":"TRON", "available":"65.2932", "pending":"0", "updatedAt":"2025-11-06T02:20:00Z" } }

Get wallet transactions

  • URI
    • GET /wallets/{walletId}/transactions?limit=50&cursor={cursor}
  • Response 200
    • json
      { "status":"1", "data":{ "items":[ { "txId":"tx_4c9a1e", "type":"CREDIT", // CREDIT | DEBIT "reason":"TOPUP_CREDIT", // 业务来源 "amount":"1325.44", "asset":"USDT", "network":"TRON", "txHash":"a18f...ce9", "createdAt":"2025-11-06T02:58:00Z" } ], "nextCursor": null } }

Top-up(Fiat → Stablecoin)

Create quote

💡
The API is used to get the currency rate.
  • URI
    • POST /global/payout/rate/query/price
  • Body Params
    • Body Json Demo
      Name
      Type
      Required
      Description
      sourceCurrency
      string
      Required
      Currency you are sending
      targetCurrency
      string
      Required
      Target currency
  • Response
    • Name
      Type
      Required
      Description
      data
      object
      Conditional Required
      data → queryNo
      string
      Conditional Required
      data → rate
      number
      Conditional Required
      status
      string
      Required
      1 : Success -1: Error
      message
      string
      Conditional Required
      if the status is -1,the err message is responded
      Response Status: 200, Body Json Demo
      Response Status: 400, Body Json Demo

Create top-up order

对应“提交法币转账”,返回银行/网关付款指引
  • URI
    • POST /topup/orders
  • Body
    • json
      { "quoteId": "q_7b0e8d", "walletId": "wal_c1f0aa", "payer": { "name": "Alice Chen" } }
  • Response 200
    • json
      { "status":"1", "data":{ { "orderId": "bacd97d132014cb6b23ee18fdea3b5c4", "status": "COMPLETED", "created": "2025-12-03 17:07:48", "quoteSnapshot": { "fee": 1, "feeCurrency": "USD", "sourceAmount": 50, "sourceCurrency": "AUD", "targetAmount": 32.87, "targetCurrency": "USDT" } } } }
  • Response 400
    • json
      { "status":"-1", "message":"quote expired" }

Get top-up order status

  • URI
    • GET /topup/orders/{orderId}
  • Response 200
    • json
      { "status":"1", "data":{ "orderId": "bacd97d132014cb6b23ee18fdea3b5c4", "status": "COMPLETED", // TRANSFERRING | COMPLETED | FAILED "created": "2025-12-03 17:07:48", "quoteSnapshot": { "fee": 1, "feeCurrency": "USD", "sourceAmount": 50, "sourceCurrency": "AUD", "targetAmount": 32.87, "targetCurrency": "USDT" } } }

List top-up orders

  • URI
    • GET /topup/orders?walletId=wal_c1f0aa&status=CREDITED&pageSize=20&pages=1
  • Response 200
    • json
      { "status": "1", "total": 1, "data": [ { "orderId": "bacd97d132014cb6b23ee18fdea3b5c4", "status": "COMPLETED", "created": "2025-12-03 17:07:48", "quoteSnapshot": { "fee": 1, "feeCurrency": "USD", "sourceAmount": 50, "sourceCurrency": "AUD", "targetAmount": 32.87, "targetCurrency": "USDT" } }, { "orderId": "bacd97d132014cb6b23ee18fdea3b5c4", "status": "COMPLETED", "created": "2025-12-03 17:07:48", "quoteSnapshot": { "fee": 1, "feeCurrency": "USD", "sourceAmount": 50, "sourceCurrency": "AUD", "targetAmount": 32.87, "targetCurrency": "USDT" } } ] }

Webhooks

Top-up status webhook

  • URI(你方接收)
    • POST https://yourapp.com/webhooks/topup.status
  • Request(我们推送)
    • json
      { "event":"topup.status", "data":{ "orderId": "bacd97d132014cb6b23ee18fdea3b5c4", "status": "COMPLETED", "created": "2025-12-03 17:07:48", "quoteSnapshot": { "fee": 1, "feeCurrency": "USD", "sourceAmount": 50, "sourceCurrency": "AUD", "targetAmount": 32.87, "targetCurrency": "USDT" } } }
  • Response 200
    • json
      { "status":"1" }

Assets & Networks

Get supported assets & networks

  • URI
    • GET /assets/networks
  • Response 200
    • json
      { "status":"1", "data":{ "matrix":[ { "asset":"USDT","network":"TRON","minTopupFiat":"100.00","settlementSlaMins":30 }, { "asset":"USDT","network":"ETH","minTopupFiat":"100.00","settlementSlaMins":30 }, { "asset":"USDC","network":"ETH","minTopupFiat":"100.00","settlementSlaMins":30 } ] } }


Powered by Notaku